Error in Ecommerce in Edunext Ecommerce Plugin

Hi All,

I want to install Edunext Ecommerce extension into my code I wanted to use Payu as Payment gateway I am following this tutorial please guide me I am following this tutorials

I am using Nutmeg with Tutor

tutor config save
–set ‘ECOMMERCE_EXTRA_PIP_REQUIREMENTS=[“git+https://github.com/eduNEXT/ecommerce-extensions”]’

tutor images build ecommerce
-a ECOMMERCE_REPOSITORY=GitHub - eduNEXT/edunext-ecommerce
-a ECOMMERCE_VERSION=master

ecommerce.xxxx.in is not working it is showing server internal error

File “/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py”, line 239, in query
_mysql.connection.query(self, query)
MySQLdb._exceptions.OperationalError: (1054, “Unknown column ‘partner_partner.enable_sailthru’ in ‘field list’”)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “./manage.py”, line 11, in
execute_from_command_line(sys.argv)
File “/openedx/venv/lib/python3.8/site-packages/django/core/management/**init**.py”, line 381, in execute_from_command_line
utility.execute()
File “/openedx/venv/lib/python3.8/site-packages/django/core/management/**init**.py”, line 375, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “/openedx/venv/lib/python3.8/site-packages/django/core/management/base.py”, line 323, in run_from_argv
self.execute(*args, **cmd_options)
File “/openedx/venv/lib/python3.8/site-packages/django/core/management/base.py”, line 364, in execute
output = self.handle(*args, **options)
File “/openedx/ecommerce/ecommerce/core/management/commands/create_or_update_site.py”, line 199, in handle
partner, partner_created = Partner.objects.get_or_create(code=partner_code)
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/manager.py”, line 82, in manager_method
return getattr(self.get_queryset(), name)(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py”, line 538, in get_or_create
return self.get(**kwargs), False
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py”, line 402, in get
num = len(clone)
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py”, line 256, in **len**
self._fetch_all()
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py”, line 1242, in _fetch_all
self._result_cache = list(self._iterable_class(self))
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py”, line 55, in **iter**
results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
File “/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py”, line 1142, in execute_sql
cursor.execute(sql, params)
File “/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py”, line 67, in execute
return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
File “/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py”, line 76, in _execute_with_wrappers
return executor(sql, params, many, context)
File “/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py”, line 84, in _execute
return self.cursor.execute(sql, params)
File “/openedx/venv/lib/python3.8/site-packages/django/db/utils.py”, line 89, in **exit**
raise dj_exc_value.with_traceback(traceback) from exc_value
File “/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py”, line 84, in _execute
return self.cursor.execute(sql, params)
File “/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py”, line 71, in execute
return self.cursor.execute(query, args)
File “/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py”, line 209, in execute
res = self._query(query)
File “/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py”, line 315, in _query
db.query(q)
File “/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py”, line 239, in query
_mysql.connection.query(self, query)
django.db.utils.OperationalError: (1054, “Unknown column ‘partner_partner.enable_sailthru’ in ‘field list’”)
Error: Command failed with status 1: docker-compose -f /home/manoj/.local/share/tutor/env/local/docker-compose.yml -f /home/manoj/.local/share/tutor/env/local/docker-compose.prod.yml -f /home/manoj/.local/share/tutor/env/local/docker-compose.tmp.yml --project-name tutor_local -f /home/manoj/.local/share/tutor/env/local/docker-compose.jobs.yml -f /home/manoj/.local/share/tutor/env/local/docker-compose.jobs.tmp.yml run --rm ecommerce-job sh -e -c ./manage.py migrate --noinput
./manage.py oscar_populate_countries --initial-only

I should have answered here and not in the tutor forum. Sorry about that.

Hi @Felipe ,

Thank you for your prompt reply and thanks alot for your contribution to this community i will be in your debt for my whole time.

You are Gem of person